posix_getgid
posix_getgrnam
POSIX Functions
PHP Manual

# posix_getgrgid

(PHP 4, PHP 5)

posix_getgrgid — Return info about a group by group id

### Description

array posix_getgrgid ( int `$gid` )

Gets information about a group provided its id.

### Parameters

`gid`

  The group id.

### Return Values

The array elements returned are:

The group information array
Element | Description
--- | ---
name | The name element contains the name of the group. This is a short, usually less than 16 character "handle" of the group, not the real, full name.
passwd | The passwd element contains the group's password in an encrypted format. Often, for example on a system employing "shadow" passwords, an asterisk is returned instead.
gid | Group ID, should be the same as the `gid` parameter used when calling the function, and hence redundant.
members | This consists of an array of string's for all the members in the group.

### Examples

Example #1 Example use of posix_getgrgid()

`<?php
$groupid = posix_getegid();
$groupinfo = posix_getgrgid($groupid);
print_r($groupinfo);
?>`

The above example will output something similar to:

    Array
    (
        [name]    => toons
        [passwd]  => x
        [members] => Array
            (
                [0] => tom
                [1] => jerry
            )
        [gid]     => 42
    )

### See Also

- posix_getegid() - Return the effective group ID of the current process
- posix_getgrnam() - Return info about a group by name
- filegroup() - Gets file group
- stat() - Gives information about a file
- safe_mode_gid
- POSIX man page GETGRNAM(3)

posix_getgid
posix_getgrnam
POSIX Functions
PHP Manual